package com.dcit.danger.dao;

import com.dcit.danger.model.DeviceDataRecord;
import com.dcit.danger.model.DeviceDataRecordExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface DeviceDataRecordMapper {
    long countByExample(DeviceDataRecordExample example);

    int deleteByExample(DeviceDataRecordExample example);

    int deleteByPrimaryKey(String id);

    int insert(DeviceDataRecord record);

    int insertSelective(DeviceDataRecord record);

    List<DeviceDataRecord> selectByExample(DeviceDataRecordExample example);

    DeviceDataRecord selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") DeviceDataRecord record, @Param("example") DeviceDataRecordExample example);

    int updateByExample(@Param("record") DeviceDataRecord record, @Param("example") DeviceDataRecordExample example);

    int updateByPrimaryKeySelective(DeviceDataRecord record);

    int updateByPrimaryKey(DeviceDataRecord record);
}